Modify

Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#483 closed defect (invalid)

upgrading RC4 to RC5 -- base-files conflicts with busybox

Reported by: anonymous Owned by: developers
Priority: low Milestone: 0.9/rc6
Component: packages Version:
Keywords: ipkg ipcalc busybox base-files Cc:

Description

When doing a ipkg update, ipkg upgrade, a file in base-files conflicts with a file in busybox.

root@OpenWrt:~# ipkg upgrade
Upgrading base-files on root from 5 to 8...
Downloading http://downloads.openwrt.org/whiterussian/packages/base-files_8_mipsel.ipk
Successfully terminated.
Collected errors:
Package base-files wants to install file /bin/ipcalc

But that file is already provided by package busybox

Using the -force-overwrite option works:

root@OpenWrt:~# ipkg -force-overwrite upgrade
Upgrading base-files on root from 5 to 8...
Downloading http://downloads.openwrt.org/whiterussian/packages/base-files_8_mipsel.ipk
ipkg: /rom/note: Read-only file system
Configuring base-files
Successfully terminated.

Attachments (0)

Change History (2)

comment:1 Changed 12 years ago by olli

  • Resolution set to invalid
  • Status changed from new to closed

Do not use "ipkg upgrade" to upgrade between releases.

You have to reflash either with mtd or TFTP.

comment:2 Changed 12 years ago by mbm

  • Milestone set to 1.0-rc6

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.